# CoinMetricsClient.get\_taxonomy\_assets

```python
coinmetrics.api_client.CoinMetricsClient.get_taxonomy_assets(
    assets=None,
    class_ids=None,
    sector_ids=None,
    subsector_ids=None,
    classification_start_time=None,
    classification_end_time=None,
    end_inclusive=None,
    start_inclusive=None,
    page_size=None,
    paging_from=None,
    version=None,
)
```

Returns assets with information about their sector, industry, and industry group IDs. By default reutrns all covered assets

* **Parameters:**
  * **assets** (*Optional* \*\[\**List* *\[*[*str*](https://docs.python.org/3/library/stdtypes.html#str) *]* *]*) -- Asset names
  * **class\_ids** (*Optional* \*\[\**List* *\[*[*str*](https://docs.python.org/3/library/stdtypes.html#str) *]* *]*) -- List of class identifiers.
  * **sector\_ids** (*Optional* \*\[\**List* *\[*[*str*](https://docs.python.org/3/library/stdtypes.html#str) *]* *]*) -- Lst of sector identifiers.
  * **subsector\_ids** (*Optional* \*\[\**List* *\[*[*str*](https://docs.python.org/3/library/stdtypes.html#str) *]* *]*) -- List of subsector identifiers
  * **classification\_start\_time** (*Optional* *\[*[*str*](https://docs.python.org/3/library/stdtypes.html#str) *]*) -- Start time for the taxonomy assets. ISO-8601 format date. Inclusive by default
  * **classification\_end\_time** (*Optional* *\[*[*str*](https://docs.python.org/3/library/stdtypes.html#str) *]*) -- End time for the taxonomy assets. ISO-8601 format date. Inclusive by default
  * **start\_inclusive** ([*bool*](https://docs.python.org/3/library/functions.html#bool)) -- Flag to define if start timestamp must be included in the timeseries if present. True by default.
  * **end\_inclusive** ([*bool*](https://docs.python.org/3/library/functions.html#bool)) -- Flag to define if end timestamp must be included in the timeseries if present. True by default.
  * **page\_size** (*Optional* *\[*[*int*](https://docs.python.org/3/library/functions.html#int) *]*) -- Page size for # of assets to return, will default to 100
  * **paging\_from** (*Optional* *\[*[*str*](https://docs.python.org/3/library/stdtypes.html#str) *]*) -- Which direction to page from "start" or "end". "end" by default
  * **version** (*Optional* *\[*[*str*](https://docs.python.org/3/library/stdtypes.html#str) *]*) -- Version to query, default is "latest".

**Returns:**

* Datacollection
  * Returns a data collection containing the taxonomy assets


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://gitbook-docs.coinmetrics.io/python-api-client/reference/coinmetricsclient/taxonomy/get_taxonomy_assets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
